/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_NUTRICIO                                                 */
/* Tabela : NUTRICIO                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 02/02/2005 - Jonathan Abdon Silva                                          */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_NUTRICIO'  and
            type = 'TR'                   and
            u.uid = o.uid                 and
            u.name = USER)
  DROP TRIGGER DTULTATU_NUTRICIO
  GO


CREATE TRIGGER DTULTATU_NUTRICIO
ON NUTRICIO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                              (SELECT 'NUTRICIO', CDFILIAL, 'CDFILIAL=' + CDFILIAL + '; CDNUTRICIO='+ CDNUTRICIO +';',GETDATE()
                               FROM   DELETED)
   END
   ELSE BEGIN
      UPDATE NUTRICIO
      SET DTULTATUNCIO = GETDATE()
      FROM INSERTED
      WHERE
         (NUTRICIO.CDFILIAL   = INSERTED.CDFILIAL  ) AND
         (NUTRICIO.CDNUTRICIO = INSERTED.CDNUTRICIO) 
   END;
END;
GO
